# ACE_Null_Caching_Utility< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES > Class Template Reference

Defines a dummy helper class for the Caching Strategies. More...

`#include <Caching_Utility_T.h>`

List of all members.

## Public Types

typedef ACE_Null_Cleanup_Strategy< KEY, VALUE, CONTAINER > | CLEANUP_STRATEGY
typedef ACE_Cleanup_Strategy< KEY, VALUE, CONTAINER > | CLEANUP_STRATEGY_BASE

## Public Member Functions

| ACE_Null_Caching_Utility (ACE_Cleanup_Strategy< KEY, VALUE, CONTAINER > *cleanup_strategy=0, int delete_cleanup_strategy=0)
| Constructor.
| ~ACE_Null_Caching_Utility (void)
| Destructor.
int | clear_cache (CONTAINER &container, double purge_percent)

## Protected Member Functions

void | minimum (CONTAINER &container, KEY *&key_to_remove, VALUE *&value_to_remove)

## Protected Attributes

CLEANUP_STRATEGY_BASE * | cleanup_strategy_
int | delete_cleanup_strategy_
| Whether the cleanup_strategy should be destroyed or not.

## Private Member Functions

void | operator= (const ANUTIL< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES > &)
| ANUTIL (const ANUTIL< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES > &)

## Detailed Description

### template<class KEY, class VALUE, class CONTAINER, class ITERATOR, class ATTRIBUTES>
class ACE_Null_Caching_Utility< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES >

Defines a dummy helper class for the Caching Strategies.

This class defines the methods commonly used by the different caching strategies. For instance: <clear_cache> method which decides and purges the entry from the container.

Note:
  This class is be used with the Null_Caching_Strategy. The Cleanup_Strategy is the callback class to which the entries to be cleaned up will be delegated.

## Member Typedef Documentation

template<class KEY, class VALUE, class CONTAINER, class ITERATOR, class ATTRIBUTES>
typedef ACE_Null_Cleanup_Strategy<KEY, VALUE, CONTAINER> ACE_Null_Caching_Utility< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES >::CLEANUP_STRATEGY

template<class KEY, class VALUE, class CONTAINER, class ITERATOR, class ATTRIBUTES>
typedef ACE_Cleanup_Strategy<KEY, VALUE, CONTAINER> ACE_Null_Caching_Utility< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES >::CLEANUP_STRATEGY_BASE

## Constructor & Destructor Documentation

template<class KEY, class VALUE, class CONTAINER, class ITERATOR, class ATTRIBUTES>
ACE_Null_Caching_Utility< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES >::ACE_Null_Caching_Utility | ( | ACE_Cleanup_Strategy< KEY, VALUE, CONTAINER > * | cleanup_strategy = `0`,
|  | int | delete_cleanup_strategy = `0`
| ) |

| Constructor.

template<class KEY, class VALUE, class CONTAINER, class ITERATOR, class ATTRIBUTES>
ACE_Null_Caching_Utility< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES >::~ACE_Null_Caching_Utility | ( | void |  | ) |

| Destructor.

## Member Function Documentation

template<class KEY, class VALUE, class CONTAINER, class ITERATOR, class ATTRIBUTES>
ACE_Null_Caching_Utility< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES >::ANUTIL | ( | const ANUTIL< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES > & |  | ) | `[private]`

template<class KEY, class VALUE, class CONTAINER, class ITERATOR, class ATTRIBUTES>
int ACE_Null_Caching_Utility< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES >::clear_cache | ( | CONTAINER & | container,
|  | double | purge_percent
| ) |

Purge entries from the <container>. The Cleanup_Strategy will do the actual job of cleanup once the entries to be cleaned up are decided.

Note:
  Here it is a no-op.

template<class KEY, class VALUE, class CONTAINER, class ITERATOR, class ATTRIBUTES>
void ACE_Null_Caching_Utility< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES >::minimum | ( | CONTAINER & | container,
|  | KEY *& | key_to_remove,
|  | VALUE *& | value_to_remove
| ) | `[protected]`

Find the entry with minimum caching attributes. This is handler specific since this utility is to be used very specifically for handler who have caching_attributes for server side acched connection management.

Note:
  Here it is a no-op.

template<class KEY, class VALUE, class CONTAINER, class ITERATOR, class ATTRIBUTES>
void ACE_Null_Caching_Utility< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES >::operator= | ( | const ANUTIL< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES > & |  | ) | `[private]`

## Member Data Documentation

template<class KEY, class VALUE, class CONTAINER, class ITERATOR, class ATTRIBUTES>
CLEANUP_STRATEGY_BASE* ACE_Null_Caching_Utility< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES >::cleanup_strategy_`[protected]`

| The cleanup strategy which can be used to destroy the entries of the container.

template<class KEY, class VALUE, class CONTAINER, class ITERATOR, class ATTRIBUTES>
int ACE_Null_Caching_Utility< KEY, VALUE, CONTAINER, ITERATOR, ATTRIBUTES >::delete_cleanup_strategy_`[protected]`

| Whether the cleanup_strategy should be destroyed or not.

The documentation for this class was generated from the following files:

- Caching_Utility_T.h
- Caching_Utility_T.cpp